Bug 1249195 - k3b computes wrongly the initial size
k3b computes wrongly the initial size
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 15:10 EDT by cornel panceac
Modified: 2016-11-30 19:35 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:18:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2015-07-31 15:10:38 EDT
Description of problem:
When attempting to write a BluRay Disc, k3b reports initially that are still > 40 MB available on disc. At the end of the writing, it fails to complete the writing and it reports that capacity is exceeded by > 200 MB. This of course results in a toasted BD. 


Version-Release number of selected component (if applicable):
k3b-2.0.3-3.fc22.i686


How reproducible:
at least once

Steps to Reproduce:
1.follow steps from the description
2.
3.

Actual results:
lost media

Expected results:
media is successfully written

Additional info:
maybe the LEad-Out size is not computed? The failure occured when the disc was supposed to be closed. Attempting to manually fix it with wodim fails.
Comment 1 cornel panceac 2016-01-17 03:53:07 EST
Problem seems to be solved (together with my burning errors on my newer bluray writer drive) by replacing cdrkit tools with those from:

http://negativo17.org/cdrtools/
Comment 2 Kevin Kofler 2016-01-17 09:37:53 EST
Unfortunately, we cannot ship cdrtools for licensing reasons:
https://fedoraproject.org/wiki/Forbidden_items#cdrtools

Are you sure K3b was using wodim? Wodim does not support BluRay, at least it is not documented to support it. K3b should be using growisofs from the dvd+rw-tools package, which does support BluRay. Your issue sounds like a bug in growisofs.
Comment 3 Kevin Kofler 2016-01-17 09:43:08 EST
K3b should probably be using libburn from http://libburnia-project.org/ , which is the only burning project without licensing issues that is actually actively maintained. (Both cdrkit/wodim and dvd+rw-tools/growisofs are abandoned, sadly.) Making it work with cdrskin should be fairly easy, it should just get support for detecting it so that it can turn off the workarounds for cdrecord/wodim bugs when cdrskin is detected. In the long-term, it should really link the library and stop shelling out to an external process entirely.
Comment 4 Kevin Kofler 2016-01-17 10:00:09 EST
See also: https://bugs.kde.org/show_bug.cgi?id=137436

The problem is mainly that K3b's upstream maintenance state is also not good, which explains its reliance on obsolete burning tools.
Comment 5 Fedora End Of Life 2016-07-19 13:18:00 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.